/*
 Script to cycle the rotating tweets
*/
jQuery(document).ready(function() {
	jQuery('.rotatingtweets').each(function() {
		/* Get the ID of the rotating tweets div - and parse it to get rotation speed and rotation fx */
		var rotate_id = "#"+this.id;
		var rotate_id_split = rotate_id.split('_');
		var rotate_class = "."+this.id;
		var rotate_timeout = rotate_id_split[1];
		var rotate_fx = rotate_id_split[2];
		/* If the rotation type has not been set - then set it to scrollUp */
		if(rotate_fx == null){rotate_fx = 'scrollUp'};
		var rt_height_px = 'auto';
		/* Now find the widget container width */
		// Take the smaller of the parent and grandparent
		var rt_parent = jQuery(rotate_id).parent();
		var rt_grandparent = jQuery(rotate_id).parent().parent();
		var rt_target_container_width = Math.min (
			rt_parent.innerWidth() - parseFloat(rt_parent.css('padding-left')) - parseFloat(rt_parent.css('padding-right')),
			rt_grandparent.innerWidth() - parseFloat(rt_grandparent.css('padding-left')) - parseFloat(rt_grandparent.css('padding-right'))  - parseFloat(rt_parent.css('padding-left')) - parseFloat(rt_parent.css('padding-right')) - parseFloat(rt_parent.css('margin-left')) - parseFloat(rt_parent.css('margin-right'))
		);
		// Get the size of the parent box and subtract any padding
		var rt_target_width = rt_target_container_width - parseFloat(jQuery(this).css('padding-left')) - parseFloat(jQuery(this).css('padding-right'))  - parseFloat(jQuery(this).css('margin-left')) - parseFloat(jQuery(this).css('margin-right'))  - parseFloat(jQuery(this).css('border-left')) - parseFloat(jQuery(this).css('border-right') ) ;
		var rt_fit = 1;
		if( rt_target_width == null ) {
			rt_fit = 0;
		}
		/* Call the rotation */
		jQuery(rotate_id).cycle({
			pause: 1,
			height: rt_height_px,
			timeout: rotate_timeout,
			cleartypeNoBg: true,
			width: rt_target_width,
			prev: rotate_class + '_rtw_prev',
			next: rotate_class + '_rtw_next',
			fx: rotate_fx,
			fit: rt_fit, 
			pager:  '#nav' 
		});
		/* If the height of the rotating tweet box is zero - kill the box and start again */
		var rt_height = jQuery(rotate_id).height();
		if( rt_height < 1 ) {	
			var rt_children_id = rotate_id + ' .rotatingtweet';
			var rt_height = 0;
			/* Go through the tweets - get their height - and set the minimum height */
			jQuery(rt_children_id).each(function() {
				var rt_tweet_height = jQuery(this).height();
				if(rt_tweet_height > rt_height) {
					rt_height = rt_tweet_height;
				}
			});
			rt_height = rt_height + 20;
			var rt_height_px = rt_height + 'px';
			jQuery(rotate_id).cycle('destroy');
			jQuery(rotate_id).cycle({
				pause: 1,
				height: rt_height_px,
				timeout: rotate_timeout,
				width: rt_target_width,
				cleartypeNoBg: true,
				fit: rt_fit,
				prev: rotate_class + '_rtw_prev',
				next: rotate_class + '_rtw_next',
				fx: rotate_fx
			});
		}
	});
});
